<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProcessOrder extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'item_id',
        'process_order',
        'coil_number',
        'order_quantity',
        'received_quantity',
        'sfg_number',
        'machine_name',
        'created_at',
        'created_by',
        'updated_by',
        'updated_at',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function item()
    {
        return $this->belongsTo(Item::class, 'item_id');
    }
}
